GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
gtk/gtkdatabox_bars.c File Reference
`#include <gtkdatabox_bars.h>`
Include dependency graph for gtkdatabox_bars.c:

## Data Structures

struct | _GtkDataboxBarsPrivate

## Functions

GType | gtk_databox_bars_get_type (void)
GtkDataboxGraph * | gtk_databox_bars_new (guint len, gfloat *X, gfloat *Y, GdkColor *color, guint size)

## Function Documentation

GType gtk_databox_bars_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_bars_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_bars_new: : length of and : array of horizontal position values of markers : array of vertical position values of markers : color of the markers : marker size or line width (depending on the )

Creates a new GtkDataboxBars object which can be added to a GtkDatabox widget

Return value: A new GtkDataboxBars object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines